import React from 'react';
import { Logout } from '../Logout/index.js';
import { NavHamburger } from './NavHamburger/index.js';
import { NavWrapper } from './NavWrapper/index.js';
const baseClass = 'nav';
import { WithServerSideProps } from '../WithServerSideProps/index.js';
import { DefaultNavClient } from './index.client.js';
export const DefaultNav = (props)=>{
    const { i18n, locale, params, payload, permissions, searchParams, user } = props;
    if (!payload?.config) {
        return null;
    }
    const { admin: { components: { afterNavLinks, beforeNavLinks } } } = payload.config;
    const BeforeNavLinks = Array.isArray(beforeNavLinks) ? beforeNavLinks.map((Component, i)=>/*#__PURE__*/ React.createElement(WithServerSideProps, {
            Component: Component,
            key: i,
            serverOnlyProps: {
                i18n,
                locale,
                params,
                payload,
                permissions,
                searchParams,
                user
            }
        })) : null;
    const AfterNavLinks = Array.isArray(afterNavLinks) ? afterNavLinks.map((Component, i)=>/*#__PURE__*/ React.createElement(WithServerSideProps, {
            Component: Component,
            key: i,
            serverOnlyProps: {
                i18n,
                locale,
                params,
                payload,
                permissions,
                searchParams,
                user
            }
        })) : null;
    return /*#__PURE__*/ React.createElement(NavWrapper, {
        baseClass: baseClass
    }, /*#__PURE__*/ React.createElement("nav", {
        className: `${baseClass}__wrap`
    }, Array.isArray(BeforeNavLinks) && BeforeNavLinks.map((Component)=>Component), /*#__PURE__*/ React.createElement(DefaultNavClient, null), Array.isArray(AfterNavLinks) && AfterNavLinks.map((Component)=>Component), /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__controls`
    }, /*#__PURE__*/ React.createElement(Logout, null))), /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__header`
    }, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__header-content`
    }, /*#__PURE__*/ React.createElement(NavHamburger, {
        baseClass: baseClass
    }))));
};

//# sourceMappingURL=index.js.map