import React from 'react';
import { WithServerSideProps } from '../WithServerSideProps/index.js';
export const RenderCustomComponent = (props)=>{
    const { CustomComponent, DefaultComponent, componentProps, serverOnlyProps } = props;
    if (CustomComponent) {
        return /*#__PURE__*/ React.createElement(WithServerSideProps, {
            Component: CustomComponent,
            serverOnlyProps: serverOnlyProps,
            ...componentProps
        });
    }
    if (DefaultComponent) {
        return /*#__PURE__*/ React.createElement(WithServerSideProps, {
            Component: DefaultComponent,
            serverOnlyProps: serverOnlyProps,
            ...componentProps
        });
    }
    return null;
};

//# sourceMappingURL=index.js.map