import { isReactServerComponentOrFunction } from 'payload/utilities';
import React from 'react';
export const WithServerSideProps = ({ Component, serverOnlyProps, ...rest })=>{
    if (Component) {
        const WithServerSideProps = (passedProps)=>{
            const propsWithServerOnlyProps = {
                ...passedProps,
                ...isReactServerComponentOrFunction(Component) ? serverOnlyProps ?? {} : {}
            };
            return /*#__PURE__*/ React.createElement(Component, propsWithServerOnlyProps);
        };
        return /*#__PURE__*/ React.createElement(WithServerSideProps, rest);
    }
    return null;
};

//# sourceMappingURL=index.js.map