import React from 'react';
import { AppHeader } from '../../elements/AppHeader/index.js';
import { NavToggler } from '../../elements/Nav/NavToggler/index.js';
import { DefaultNav } from '../../elements/Nav/index.js';
import { RenderCustomComponent } from '../../elements/RenderCustomComponent/index.js';
import { EntityVisibilityProvider } from '../../providers/EntityVisibility/index.js';
import { NavHamburger } from './NavHamburger/index.js';
import { Wrapper } from './Wrapper/index.js';
const baseClass = 'template-default';
export const DefaultTemplate = ({ children, className, i18n, locale, params, payload, permissions, searchParams, user, visibleEntities })=>{
    const { admin: { components: { Nav: CustomNav } = {
        Nav: undefined
    } } = {} } = payload.config || {};
    const navProps = {
        i18n,
        locale,
        params,
        payload,
        permissions,
        searchParams,
        user
    };
    return /*#__PURE__*/ React.createElement(EntityVisibilityProvider, {
        visibleEntities: visibleEntities
    }, /*#__PURE__*/ React.createElement("div", null, /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__nav-toggler-wrapper`,
        id: "nav-toggler"
    }, /*#__PURE__*/ React.createElement(NavToggler, {
        className: `${baseClass}__nav-toggler`
    }, /*#__PURE__*/ React.createElement(NavHamburger, null))), /*#__PURE__*/ React.createElement(Wrapper, {
        baseClass: baseClass,
        className: className
    }, /*#__PURE__*/ React.createElement(RenderCustomComponent, {
        CustomComponent: CustomNav,
        DefaultComponent: DefaultNav,
        componentProps: navProps,
        serverOnlyProps: {
            i18n,
            locale,
            params,
            payload,
            permissions,
            searchParams,
            user
        }
    }), /*#__PURE__*/ React.createElement("div", {
        className: `${baseClass}__wrap`
    }, /*#__PURE__*/ React.createElement(AppHeader, null), children))));
};

//# sourceMappingURL=index.js.map